note
	description: "Objects that ..."
	author: ""
	date: "$Date: 2011-11-21 22:27:45 +0100 (lun., 21 nov. 2011) $"
	revision: "$Revision: 87923 $"

class
	NATIVE_BRUSH

inherit
	EDK_OBJECT_I
		redefine
			default_create,
			dispose
		end

feature {NONE} -- Creation

	default_create
			-- Create and initialize `Current'.
		do
			native_brush := default_brush
		end

feature {DRAWABLE_ROUTINES} -- Implementation

	native_brush: POINTER
			-- Handle to the native brush.

feature {NONE} -- Implementation

	default_brush: POINTER
		external
			"C inline use <edk.h>"
		alias
			"[
				#ifdef EIF_OS = EIF_WINNT
					return GetSysColorBrush (0);
				#endif
			]"
		end

	dispose
			-- <Precursor>
		do
		end

end
